%global debug_package %{nil}

Name:           pipewire-module-xrdp
Version:        0.1
Release:        1%{?dist}
Summary:        Pipewire module for use with xRDP

License:        MIT
URL:            https://github.com/neutrinolabs/xrdp/discussions/2023#discussioncomment-4683606 
Source0:	pipewire-module-xrdp-0.1.tar.xz
#Source1:	https://github.com/neutrinolabs/xrdp/files/10416800/module-xrdp-pipewire.tar.gz

BuildRequires:  gcc
BuildRequires:  pkgconfig
BuildRequires:  pipewire-devel

%description
XDG Autostart module for pipewire xrdp-source and xrdp-sink to redirect \
audio over pipewire instead of pulseaudio

%prep
%setup -q


%build
cc -o libpipewire-module-xrdp-pipewire.so module-xrdp-pipewire.c -shared -fPIC $(pkg-config --cflags libpipewire-0.3)


%install

install -d %{buildroot}$(pkg-config --variable=moduledir libpipewire-0.3)/
install -pm 0755 libpipewire-module-xrdp-pipewire.so %{buildroot}$(pkg-config --variable=moduledir libpipewire-0.3)/

install -d %{buildroot}%{_libexecdir}/pipewire-module-xrdp
install -pm 0755 load_pw_modules.sh %{buildroot}%{_libexecdir}/pipewire-module-xrdp/

install -d %{buildroot}%{_sysconfdir}/xdg/autostart/
install -pm 0644 pipewire-xrdp.desktop %{buildroot}%{_sysconfdir}/xdg/autostart/


%files 
%license LICENSE COPYING
%{_libdir}/pipewire-0.3/libpipewire-module-xrdp-pipewire.so
%{_libexecdir}/pipewire-module-xrdp/load_pw_modules.sh
%{_sysconfdir}/xdg/autostart/pipewire-xrdp.desktop


%changelog
* Tue Apr 4 2023 Marie Loise Nolden <loise@kde.org> - 0.1-1
- initial spec

